<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfp" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="__version__"/>
</div>

# Module: tfp

Tools for probabilistic reasoning in TensorFlow.

## Modules

[`bijectors`](./tfp/bijectors.md) module: Bijector Ops.

[`distributions`](./tfp/distributions.md) module: Statistical distributions and bijective transformations.

[`edward2`](./tfp/edward2.md) module: Edward2 probabilistic programming language.

[`glm`](./tfp/glm.md) module: TensorFlow Probability GLM python package.

[`layers`](./tfp/layers.md) module: Probabilistic Layers.

[`math`](./tfp/math.md) module: TensorFlow Probability math functions.

[`mcmc`](./tfp/mcmc.md) module: TensorFlow Probability MCMC python package.

[`monte_carlo`](./tfp/monte_carlo.md) module: Monte Carlo integration and helpers.

[`optimizer`](./tfp/optimizer.md) module: TensorFlow Probability Optimizer python package.

[`positive_semidefinite_kernels`](./tfp/positive_semidefinite_kernels.md) module: Positive-semidefinite kernels package.

[`sts`](./tfp/sts.md) module: Framework for Bayesian structural time series models.

[`trainable_distributions`](./tfp/trainable_distributions.md) module: Trainable distributions.

[`util`](./tfp/util.md) module: TensorFlow Probability python utilities.

[`vi`](./tfp/vi.md) module: Methods and objectives for variational inference.

## Other Members

<h3 id="__version__"><code>__version__</code></h3>

